function settingsClosing(event) {
    if (event.closeAction == event.Action.commit) {
		

		var gadgetTheme = $('#gadgetTheme').val();
		
		var newsNum = $('#newsNum').val();
			
		// если не было ошибок, сохраняем значения
		if(!event.cancel) {	
			System.Gadget.Settings.writeString('gadgetTheme', gadgetTheme);
			System.Gadget.Settings.writeString('newsNum', newsNum);
			System.Gadget.Settings.writeString('selectedTickers', '');
			
			$(':checkbox.ticker_check:checked').each(function(index){
				var selectedTickersStr = System.Gadget.Settings.readString('selectedTickers');
				selectedTickersStr+=((index>0)?' ':'')+$(this).val();
				System.Gadget.Settings.writeString('selectedTickers', selectedTickersStr);
			});
		}
    }
}



$(function(){
	System.Gadget.onSettingsClosing = settingsClosing;
	
	// считываем старые значения настроек и показываем их в форме
	$('#gadgetTheme').val(System.Gadget.Settings.readString('gadgetTheme'));
	$('#newsNum').val(System.Gadget.Settings.readString('newsNum'));
	
	var selectedTickersStr = System.Gadget.Settings.readString('selectedTickers');
	var selectedTickers = selectedTickersStr.split(' ');

	var allTickers = System.Gadget.Settings.readString('tickersList'); //надо следить, чтобы длина строки с тикерами была не больше 2048 символов
	var tickersPairs = allTickers.split('~');
	for (tickerNum in tickersPairs) {
		var tickerData = tickersPairs[tickerNum].split('=');
		$('#tickersList').append('<br><input class="ticker_check" type="checkbox" value="'+tickerData[0]+'" id="'+tickerData[0]+'"><label for="'+tickerData[0]+'">'+tickerData[1]+'</label>');
	}
	
	$('body').css('height',(200+tickersPairs.length*15)+'px');
	
	$(':checkbox.ticker_check').val(selectedTickers);

});


var selectedTickers; //выбранные тикеры, которые будут показываться в свёрнутом списке